﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication1;
using SyncfusionMvcApplication1.Grid;
using Syncfusion.JavaScript;

namespace SyncfusionMvcApplication1.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/

        public List<Orders> order = new List<Orders>();


        public void BindDataSource()
        {
            if (order != null)
            {
                int code = 100;
                for (int i = 1; i <= 5; i++)
                {
                    order.Add(new Orders(code + i + 1, "ALFKI", "EAST", 1, 30));
                    order.Add(new Orders(code + i + 2, "ANTON", "WEST", 2, 42));
                    order.Add(new Orders(code + i + 3, "BENTON", "NORTH", 4, 55));
                    order.Add(new Orders(code + i + 4, "MARK", "SOUTH", 6, 77));
                    order.Add(new Orders(code + i + 5, "DISNEY", "WEST", 5, 90));
                    code++;
                }
            }

        }

        public class Orders
        {
            public Orders()
            {

            }
            public Orders(int id, string Name, string Portion, int PackCount, int CurrentPrice)
            {
                this.id = id;
                this.Name = Name;
                this.Portion = Portion;
                this.PackCount = PackCount;
                this.CurrentPrice = CurrentPrice;

            }

            public int id { get; set; }
            public string Name { get; set; }

            public string Portion { get; set; }
            public int PackCount { get; set; }
            public int CurrentPrice { get; set; }
        }




        public ActionResult GridFeatures()
        {

            BindDataSource();
            ViewBag.dataSource = order;

            return View();
        }
    }
}
